<script>
    import { createEventDispatcher } from 'svelte';
    const dispatch = createEventDispatcher();

    function handleConnection() {
        console.log("connected");
        dispatch('connected', {});
    }
</script>

<section class="hero is-fullwidth is-fullheight has-background-new-secondary is-block">
    <h1 class="title is-1 has-text-centered pt-6" style="color:#FAAD80">Partage ton Ménage !</h1>
    <div class="columns ">
        <div class="column is-1"></div>
        <div class="column is-4">
            <div class="box" style="background-color: #FAAD80; margin-top: 20vh;">
                <h1 class="title is-4" style="color: beige;">
                    Vous ne savez jamais à qui est le tour de faire la vaisselle,
                    de passer l'aspirateur ou bien de descendre les poubelles ?
                    Alors rejoignez nous !
                </h1>
            </div>
        </div>
        <div class="column is-2"></div>
        <div class="column is-4">
            <div class="box is-flex-direction-row"
                 style="background-color: #FAAD80; color: beige; margin-top: 20vh;">
                <label for="prenom"></label>
                <b>Prénom </b><input class="input mb-4" id="prenom" name="prenom" placeholder="Martin">

                <label for="mail"></label>
                <b>Mail </b><input class="input mb-4" id="mail" name="mail" placeholder="martin@mail.com">

                <button on:click={handleConnection} class="button mb-6">
                    Se connecter
                </button>
                <br>
                <input class="py-4 has-text-centered button is-flex" style="margin: auto" id="shareButton"
                       onclick="showNewAccount()" value="Se créer un compte" type="button"/>
            </div>
        </div>
    </div>

    <div class="box has-background-new-primary" id="newAccount" style="display: none; background-color: #FAAD80; color: beige; max-width: 500px; margin: auto;">
        <label for="mail"></label>
        <b>Votre Mail </b><input class="input mb-4" id="mailid1" name="mail1" type="mail">

        <label for="prenom"></label>
        <b>Votre Prénom </b><input class="input mb-4" id="prenomid1" name="prenom1">
        <label for="mail"></label>
        <b>Mail 2ème Personne</b><input class="input mb-4" id="mailid2" name="mail2">

        <label for="prenom"></label>
        <b>Prénom 2ème Personne </b><input class="input mb-4" id="prenomid2" name="prenom2">

        <input class="button mb-2" type="button" onclick="showConfirmationLink()" value="Créer mon compte"
               style="margin: auto;"/>

        <p id="confirmationLink" style="display: none;">Un lien de confirmation à été envoyé à votre adresse mail</p>
    </div>
</section>
